libqthelp4-4.8.6-1.2.mga4.i586.rpm


Advertisement

Description

libqthelp4 - Qt4 Component Library

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libqthelp4
Package version 4.8.6
Package release 1.2.mga4
Package architecture i586
Package type rpm
Installed size 540.27 KB
Download size 189.29 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Qt4 Component Library.
The QtHelp module provides classes for integrating online documentation
in applications.

Alternatives

Package Version Architecture Repository
libqthelp4-4.8.6-1.3.mga4.i586.rpm 4.8.6 i586 Mageia Core Updates
libqthelp4-4.8.6-1.1.mga4.i586.rpm 4.8.6 i586 Mageia Core Updates
libqthelp4-4.8.6-1.mga4.i586.rpm 4.8.6 i586 Mageia Core Updates
libqthelp4-4.8.5-7.mga4.i586.rpm 4.8.5 i586 Mageia Core
libqthelp4 - - -

Requires

Name Value
libQtCLucene.so.4 -
libQtCore.so.4 -
libQtGui.so.4 -
libQtNetwork.so.4 -
libQtSql.so.4 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libstdc++.so.6 -
libstdc++.so.6(GLIBCXX_3.4) -
qt4-common == 4:4.8.6

Provides

Name Value
libQtHelp.so.4 -
libqthelp4 == 4:4.8.6-1.2.mga4
libqthelp4(x86-32) == 4:4.8.6-1.2.mga4
qthelplib == 4:4.8.6

Download

Type URL
Binary Package libqthelp4-4.8.6-1.2.mga4.i586.rpm
Source Package qt4-4.8.6-1.2.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqthelp4 rpm package:
    # urpmi libqthelp4

Files

Path
/usr/lib/libQtHelp.so.4
/usr/lib/libQtHelp.so.4.8
/usr/lib/libQtHelp.so.4.8.6

Changelog

2015-02-28 - lmenut <lmenut> 4:4.8.6-1.2.mga4
+ Revision: 817202
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
- update patch406 (find printers with cups >= 1.6) from Fedora
to fix default printer (mga#12911)
- add patch408 from KDE to fix default printer settings (bko#180051)
- add 3 patches from bugreports.qt.io to fix KDE file dialogs in LibreOffice
(mga#15188, QTBUGS 34614, 37380 & 38585)
- add -no-openvg to configure (mga#13942)
+ luigiwalser <luigiwalser>
- 4.8.6
- remove ld-gold patch (dropped by fedora)
- add patch from fedora to fix regression from CVE-2013-4549 fix
- remove upstreamed CVE-2013-4549 patches
- add patch from upstream via fedora to fix CVE-2014-0190
2013-12-23 - neoclust <neoclust> 4:4.8.5-7.mga4
+ Revision: 560242
- Add patches to fix CVE-2013-4549 mga #12043
- Add fedora patch to allow to find printers with Cups >= 1.6
2013-12-15 - dglent <dglent> 4:4.8.5-6.mga4
+ Revision: 556964
- Add qt4-assistant in Suggests for qt4-linguist
- Remove trailing whitespaces
2013-10-21 - umeabot <umeabot> 4:4.8.5-5.mga4
+ Revision: 537404
- Mageia 4 Mass Rebuild
2013-09-26 - fwang <fwang> 4:4.8.5-4.mga4
+ Revision: 486779
- rebuild for icu 52
2013-08-27 - tv <tv> 4:4.8.5-3.mga4
+ Revision: 472360
- rebuild for new libmng
2013-08-04 - lmenut <lmenut> 4:4.8.5-2.mga4
+ Revision: 463339
- bump release to be higher than in mga3 update
2013-07-13 - mikala <mikala> 4:4.8.5-1.mga4
+ Revision: 453887
- Update tarball to 4.8.5
2013-06-02 - fwang <fwang> 4:4.8.4-9.mga4
+ Revision: 434602
- rebuild for new libpng
2013-05-26 - fwang <fwang> 4:4.8.4-8.mga4
+ Revision: 427917
- rebuild for new icu

See Also

Package Description
libqtmultimedia4-4.8.6-1.1.mga4.i586.rpm Qt4 Multimedia Lib
libqtmultimedia4-4.8.6-1.2.mga4.i586.rpm Qt4 Multimedia Lib
libqtmultimedia4-4.8.6-1.3.mga4.i586.rpm Qt4 Multimedia Lib
libqtmultimedia4-4.8.6-1.mga4.i586.rpm Qt4 Multimedia Lib
libqtnetwork4-4.8.6-1.1.mga4.i586.rpm Qt4 Component Library
libqtnetwork4-4.8.6-1.2.mga4.i586.rpm Qt4 Component Library
libqtnetwork4-4.8.6-1.3.mga4.i586.rpm Qt4 Component Library
libqtnetwork4-4.8.6-1.mga4.i586.rpm Qt4 Component Library
libqtopengl4-4.8.6-1.1.mga4.i586.rpm Qt4 Component Library
libqtopengl4-4.8.6-1.2.mga4.i586.rpm Qt4 Component Library
libqtopengl4-4.8.6-1.3.mga4.i586.rpm Qt4 Component Library
libqtopengl4-4.8.6-1.mga4.i586.rpm Qt4 Component Library
libqtruby4shared2-4.12.5-1.1.mga4.i586.rpm Runtime library for Ruby SMOKE adaptor for Qt
libqtruby4shared2-4.12.5-1.mga4.i586.rpm Runtime library for Ruby SMOKE adaptor for Qt
libqtscript4-4.8.6-1.1.mga4.i586.rpm Qt4 Component Library
Advertisement
Advertisement